* {
  margin: 0;
  padding: 0;
  outline: 0;
  box-sizing: border-box;
}
html,
body {
  height: 100dvh;
}
body {
  font-family: "Roboto", sans-serif;
  font-size: 16px;
  line-height: 1.5;
  background: url("./../images/bg.jpg") center no-repeat;
  background-size: cover;
}
#startScreen {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: absolute;
  background: url("./../images/bg.jpg") center no-repeat;
  background-size: cover;
  z-index: 3;
  display: flex;
  align-items: center;
  justify-content: center;
  top: 0;
  transition: top 1s cubic-bezier(0.23, 1, 0.32, 1);
}
#startScreen.hide {
  top: -100%;
}
.startDialog {
  background: url("./../images/startBg.png") center no-repeat;
  background-size: cover;
  width: 548px;
  height: 593px;
  position: relative;
}
#startBtn {
  background: url("./../images/startBtn.png") center no-repeat;
  background-size: cover;
  width: 360px;
  height: 102px;
  border: 0;
  outline: 0;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: 75px;
}
#game {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: absolute;
  z-index: 2;
}
#resultScreen {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: absolute;
  background: url("./../images/bg.jpg") center no-repeat;
  background-size: cover;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: center;
  top: -100%;
  transition: top 1s cubic-bezier(0.23, 1, 0.32, 1);
  display: flex;
  align-items: center;
  justify-content: center;
}
#resultScreen.show {
  top: 0;
}
#resultBg {
  width: 503px;
  height: 605px;
  position: relative;
  background: url("./../images/resultBg.png") center no-repeat;
  background-size: cover;
}
#restartBtn {
  position: absolute;
  width: 103px;
  height: 103px;
  background: url("./../images/restartBtn.png") center no-repeat;
  background-size: cover;
  border: 0;
  outline: 0;
  left: 0;
  right: 0;
  margin: 0 auto;
  bottom: -40px;
  border-radius: 50%;
  box-shadow: 2px 2px 10px -2px rgba(0, 0, 0, 0.5);
}
#timeContainer {
  position: absolute;
  left: 10px;
  top: 10px;
  width: 400px;
  height: 81px;
  background: url("./../images/timeBg.png") no-repeat center;
  background-size: cover;
}
#timeText {
  font-weight: 700;
  font-size: 30px;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 140px;
}
#scoreContainer {
  position: absolute;
  right: 10px;
  top: 10px;
  width: 400px;
  height: 81px;
  background: url("./../images/scoreBg.png") no-repeat center;
  background-size: cover;
}
#scoreText {
  font-weight: 700;
  font-size: 30px;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 140px;
}
#floor {
  width: 100%;
  position: absolute;
  bottom: 0;
  left: 0;
  height: 80px;
  background: url("./../images/floor.png") repeat-x center top;
  background-size: cover;
  z-index: 1;
}
#bucket {
  width: 253px;
  height: 119px;
  background: transparent;
  position: absolute;
  left: 50%;
  bottom: 60px;
  transform: translateX(-50%);
  z-index: 2;
}
.bucketContainer {
  position: absolute;
  left: 0;
  right: 0;
  margin: 0 auto;
  height: 100%;
  z-index: 1;
  background: transparent;
  width: 180px;
}
#bucket::before {
  content: "";
  z-index: 2;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  position: absolute;
  background: url("./../images/bucket.png") no-repeat center;
}
#bucket div {
  position: absolute;
}
.brandContainer {
  width: 100px;
  height: 53px;
  border-radius: 15px;
  overflow: hidden;
  position: absolute;
  animation: moveUpDown 4s ease-in-out;
  background: #fff;
  border: 1px solid #d0d0d0;
  cursor: move;
  bottom: -100px;
}
.rayContainer {
  position: absolute;
  left: 0;
  right: 0;
  margin: 0 auto;
  top: -90px;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 11;
  width: 200px;
  height: 200px;
  opacity: 0;
  transform: scale(1.5);
  transition: all 0.5 ease-in-out;
}
.rayContainer::after {
  content: "";
  background-image: url("./../images/ray.png");
  width: 200px;
  height: 200px;
  position: absolute;
  left: 0;
  right: 0;
  margin: 0 auto;
  background-size: cover;
  animation: rotateRay 0.3s linear infinite;
}
.animateGlow {
    opacity: 1;
    animation: animateGLow 0.5s  ease-in-out;
}
@keyframes rotateRay {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
@keyframes animateGLow {
  from {
    opacity: 0;
    transform: scale(0);
  }
  to {
    opacity: 1;
    transform: scale(1.5);
  }
}
.glow {
  background: #fff;
  width: 100px;
  height: 100px;
  border-radius: 50%;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  font-size: 50px;
  z-index: 1;
  background: rgb(255, 255, 255);
  background: radial-gradient(
    circle,
    rgba(255, 255, 255, 1) 0%,
    rgba(3, 155, 160, 1) 100%
  );
  box-shadow: 0 0 10px 5px #039ba0, 0 0 20px 7px #1fd0d6, 0 0 25px 20px #ebf0a6,
    0 0 30px 25px #ffffff00;
}
.clickedBrand {
  width: 100px;
  height: 53px;
  border-radius: 15px;
  overflow: hidden;
  position: absolute;
  background: #fff;
  border: 1px solid #d0d0d0;
}
.brandContainer img {
  display: block;
}
.clickedBrand img {
  display: block;
}
@keyframes moveUpDown {
  0%,
  100% {
    bottom: -50px;
  }
  50% {
    bottom: calc(100vh - 100px);
  }
}

.resultFlex {
  width: 100%;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: space-around;
  text-align: center;
  font-size: 70px;
  font-weight: 700;
  bottom: 70px;
}
@-webkit-keyframes pulse {
  0% {
    box-shadow: 0 0 8px #039ba0, inset 0 0 8px #039ba0;
  }
  50% {
    box-shadow: 0 0 16px #039ba0, inset 0 0 14px #039ba0;
  }
  100% {
    box-shadow: 0 0 8px #039ba0, inset 0 0 8px #039ba0;
  }
}
#clickUi, #music, #pencil, #clap {
    opacity: 0;
    position: absolute;
    left: -99999;
 }